<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="xml"/>
<xsl:template match="produkte">

<produkte>
 <xsl:for-each select="produkt">
  <xsl:if test="preis=''">
   <xsl:message terminate="yes" >
	Produkt&#32;<xsl:value-of select="name"/>&#32;hat keinen Preis
   </xsl:message>
  </xsl:if>
  
  <produkt>
   <xsl:attribute name="lager">
    <xsl:value-of select="lagerbestand"/>
   </xsl:attribute>
   <allg_daten>
    <xsl:copy-of select="name"/>
    <xsl:copy-of select="beschreibung"/>
   </allg_daten>
   <spez_daten>
    <xsl:copy-of select="farbe"/>
    <xsl:copy-of select="gewicht"/>
   </spez_daten>
   <preis>
    <xsl:attribute name="waehrung">
    <xsl:value-of select="waehrung"/>
    </xsl:attribute>
    <xsl:value-of select="preis"/>
   </preis>
  </produkt>

 </xsl:for-each>


</produkte>

</xsl:template>




</xsl:stylesheet>