<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="html"/>
<xsl:template match="firma">
	<TABLE BORDER="10" CELLSPACING="0">
	<xsl:for-each select="produktion">
		<xsl:apply-templates/>
	</xsl:for-each>
	<xsl:for-each select="verwaltung">
		<xsl:apply-templates/>
	</xsl:for-each>	
	</TABLE>
</xsl:template>	
<xsl:template match="produktion/mitarbeiter[@geschlecht='m']">
	<TR BGCOLOR="blue">
		<TD><xsl:value-of select="name"/></TD>
		<TD><xsl:value-of select="vorname"/></TD>
	</TR>
</xsl:template>
<xsl:template match="produktion/mitarbeiter[@geschlecht='w']">
	<TR BGCOLOR="red">
		<TD><xsl:value-of select="name"/></TD>
		<TD><xsl:value-of select="vorname"/></TD>
	</TR>
</xsl:template>
<xsl:template match="verwaltung/mitarbeiter[@geschlecht='m']">
	<TR BGCOLOR="blue">
		<TD><b><xsl:value-of select="name"/></b></TD>
		<TD><b><xsl:value-of select="vorname"/></b></TD>
	</TR>
</xsl:template>
<xsl:template match="verwaltung/mitarbeiter[@geschlecht='w']">
	<TR BGCOLOR="red">
		<TD><b><xsl:value-of select="name"/></b></TD>
		<TD><b><xsl:value-of select="vorname"/></b></TD>
	</TR>
</xsl:template>


</xsl:stylesheet>