<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="html"/>
<xsl:template match="/">
	<TABLE BORDER="1" CELLSPACING="0">
	<xsl:for-each select="lager/artikel">
		<TR>
		
			<xsl:choose>
		    <xsl:when test="position()mod 2=1">
			<TD rowspan="4" BGCOLOR="red">
			<b><center><font face="Arial" size="5"><xsl:value-of select="name"/></font></center></b>
			<A>
				<IMG BORDER="0">
					<xsl:attribute name="src">
						<xsl:value-of select="produktbild"/>
					</xsl:attribute>
				</IMG>
			</A>
			</TD>
			</xsl:when>
			<xsl:when test="position()mod 2=0">
			<TD rowspan="4" BGCOLOR="blue">
			<b><center><font face="Arial" size="5"><xsl:value-of select="name"/></font></center></b>
			<A>
				<IMG BORDER="0">
					<xsl:attribute name="src">
						<xsl:value-of select="produktbild"/>
					</xsl:attribute>
				</IMG>
			</A>
			</TD>
			</xsl:when>
			</xsl:choose>
			
		</TR>

		<TR>
			<TD>
			<b>Beschreibung:</b>&#32;<xsl:value-of select="beschreibung"/><br></br>
			<b>Einkaufspreis:</b>&#32;<xsl:value-of select="preis/preis_ek"/>&#32;<xsl:value-of select="preis/preis_ek/@waehrung"/><br></br>
			<b>Verkaufspreis:</b>&#32;<xsl:value-of select="preis/preis_vk"/>&#32;<xsl:value-of select="preis/preis_ek/@waehrung"/>
			
			
			</TD>
			
		</TR>
		<TR>
			<TD><b>Hersteller:&#32;</b><xsl:value-of select="hersteller/name"/><br></br>
			<b>WWW:&#32;</b>
			<A>
			<xsl:attribute name="HREF">
				<xsl:value-of select="hersteller/url"/>
			</xsl:attribute>
			<xsl:value-of select="hersteller/url"/>
			</A>
			</TD>
		</TR>
		<TR>
			<TD><b>Lagerbestand:&#32;</b><xsl:value-of select="@anzahl"/>
			
			</TD>
		</TR>
		
		<xsl:choose>
		<xsl:when test="position()!=last()">
		<TR>
			<TD colspan="3" BGCOLOR="black">
				&#160;
			</TD>
		</TR>
		</xsl:when>
		</xsl:choose>

	</xsl:for-each>
	</TABLE>
</xsl:template>
</xsl:stylesheet>