<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="html"/>
<xsl:template match="/">
	<TABLE BORDER="10" CELLSPACING="0">
	<xsl:for-each select="firma/mitarbeiter">
	<xsl:sort select="vorname"/>	 <!-- sortierung nach Vorname -->
		<TR>
			<TD rowspan="6">
				<A>
					<xsl:attribute name="HREF">
						mailto:<xsl:value-of select="email"/>
					</xsl:attribute>
					<IMG BORDER="0" height="150">
						<xsl:attribute name="src">
							<xsl:value-of select="bild"/>
						</xsl:attribute>
					</IMG>
				</A>
			</TD>
			<TD>Name</TD>
			<TD><xsl:value-of select="name"/></TD>
		</TR>
		<TR>
			<TD>Vorname</TD>
			<TD><xsl:value-of select="vorname"/></TD>
		</TR>
		<TR>
			<TD>Geburtsdatum</TD>
			<TD><xsl:value-of select="geburtsdatum"/></TD>
		</TR>
		<TR>
			<TD>Hobbys</TD>
			<TD><xsl:for-each select="hobbys/hobby"><LI/><xsl:value-of select="."/></xsl:for-each></TD>
		</TR>
		<TR>
			<TD>Webseite</TD>
			<TD>
				<A>
					<xsl:attribute name="HREF">
						<xsl:value-of select="www"/>
					</xsl:attribute>
					<xsl:value-of select="www"/>
				</A>
			</TD>
		</TR>
		<TR>
			<TD>Email</TD>
			<TD>
				<A>
					<xsl:attribute name="HREF">
						mailto:<xsl:value-of select="email"/>
					</xsl:attribute>
					<xsl:value-of select="email"/>
				</A>
			</TD>
		</TR>
		<xsl:choose>
		<xsl:when test="position()!=last()">
		<TR>
			<TD colspan="3" BGCOLOR="black">
				&#160;
			</TD>
		</TR>
		</xsl:when>
		</xsl:choose>
	</xsl:for-each>
	</TABLE>
</xsl:template>
</xsl:stylesheet>