<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="html"/>

<xsl:template match="unternehmen">
<center>
<b><font face="arial" size="+1"> &#220;bersicht &#252;ber die Mitarbeiter</font></b><ul></ul>

	<b><font face="arial" size="2">Gesch&#228;ftsf&#252;hrung</font></b>
	<ul></ul>
	<xsl:for-each select="geschaeftsfuehrung">
		<TABLE Border="10">
		<td><b>name</b></td>
		<td><b>vorname</b></td>
		
			<xsl:apply-templates mode="ges"/>
		</TABLE>
	</xsl:for-each>
	<ul></ul>
	<b><font face="arial" size="2"> Verwaltung </font></b>
	<ul></ul>
	<xsl:for-each select="personal">
		<TABLE Border="10">
		<td><b>name</b></td>
		<td><b>vorname</b></td>
		<td><b>geb</b></td>
		<td><b>aufgabe</b></td>
		<td><b>beschreibung</b></td>
		<td><b>gehalt</b></td>
			<xsl:apply-templates mode="pers2" />
		</TABLE>
	</xsl:for-each>
	<ul></ul>
	<b><font face="arial" size="2"> Produktion </font></b>
	<ul></ul>
	<xsl:for-each select="personal">
		<TABLE Border="10">
		<td><b>name</b></td>
		<td><b>vorname</b></td>
		<td><b>geb</b></td>
		<td><b>aufgabe</b></td>
		<td><b>beschreibung</b></td>
		<td><b>gehalt</b></td>
			<xsl:apply-templates mode="pers1"/>
		</TABLE>
	</xsl:for-each>
	<ul></ul>



</center>
</xsl:template>


<xsl:template match="mitarbeiter[@abteilung='produktion']" mode="pers1">

<tr BGCOLOR="green">

<td><xsl:value-of select="name"/></td>
<td><xsl:value-of select="vorname"/></td>
<td><xsl:value-of select="geb"/></td>
<td><xsl:value-of select="aufgabe/name"/></td>
<td><xsl:value-of select="aufgabe/beschreibung"/></td>
<td><xsl:value-of select="gehalt"/>&#32;<xsl:if test="gehalt/@waehrung"><xsl:value-of select="gehalt/@waehrung"/></xsl:if></td>
</tr>

</xsl:template>

<xsl:template match="mitarbeiter[@abteilung='verwaltung']" mode="pers1">
</xsl:template>

<xsl:template match="mitarbeiter[@abteilung='verwaltung']" mode="pers2">
<tr BGCOLOR="blue">
<td><xsl:value-of select="name"/></td>
<td><xsl:value-of select="vorname"/></td>
<td><xsl:value-of select="geb"/></td>
<td><xsl:value-of select="aufgabe/name"/></td>
<td><xsl:value-of select="aufgabe/beschreibung"/></td>
<td><xsl:value-of select="gehalt"/>&#32;<xsl:if test="gehalt/@waehrung"><xsl:value-of select="gehalt/@waehrung"/></xsl:if></td>
</tr>

</xsl:template>

<xsl:template match="mitarbeiter[@abteilung='produktion']" mode="pers2">
</xsl:template>

<xsl:template match="mit" mode="ges">
<tr BGCOLOR="yellow">
<td><xsl:value-of select="name"/></td>
<td><xsl:value-of select="vorname"/></td>

</tr>
</xsl:template>


</xsl:stylesheet>