<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="html"/>
<xsl:template match="/">

<H1>&#220;bersicht</H1>
<TABLE BORDER="10" CELLSPACING="0">
<tr align="center">
 <td> Vorname</td>
 <td> Name</td>
 <td> GebDat</td>	
</tr>
<xsl:for-each select="kurs">
	<xsl:apply-templates mode="uebersicht"/>
</xsl:for-each>
</TABLE>

<H1>Detailansicht mit Substring</H1>
<TABLE BORDER="10" CELLSPACING="0">
<tr align="center">
 <td> Vorname</td>
 <td> Name</td>
 <td> Tag</td>
 <td> Monat</td>
 <td> jahr</td>
</tr>
<xsl:for-each select="kurs">
	<xsl:apply-templates mode="detail"/>
</xsl:for-each>
</TABLE>


<H1>Detailansicht mit Substring-before und Substring-after</H1>
<TABLE BORDER="10" CELLSPACING="0">
<tr align="center">
 <td> Vorname</td>
 <td> Name</td>
 <td> Tag</td>
 <td> Monat</td>
 <td> jahr</td>
</tr>
<xsl:for-each select="kurs">
	<xsl:apply-templates mode="detail2"/>
</xsl:for-each>
</TABLE>
</xsl:template>


<xsl:template match="teilnehmer" mode="uebersicht">
<tr align="center">
 <td><xsl:value-of select="name"/></td>
 <td><xsl:value-of select="vorname"/></td>
 <td><xsl:value-of select="geburtsdatum"/></td>
</tr>
</xsl:template>

<xsl:template match="teilnehmer" mode="detail">
<tr align="center">
 <td><xsl:value-of select="name"/></td>
 <td><xsl:value-of select="vorname"/></td>
 <td><xsl:value-of select="substring(geburtsdatum,1,2)"/></td>
 <td><xsl:value-of select="substring(geburtsdatum,4,2)"/></td>
 <td><xsl:value-of select="substring(geburtsdatum,7,4)"/></td>
</tr>
</xsl:template>

<xsl:template match="teilnehmer" mode="detail2">
<tr align="center">
 <td><xsl:value-of select="name"/></td>
 <td><xsl:value-of select="vorname"/></td>
 <td><xsl:value-of select="substring-before(geburtsdatum,'.')"/></td>
 <td><xsl:value-of select="substring-before(substring-after(geburtsdatum,'.'),'.')"/></td>
 <td><xsl:value-of select="substring-after(substring-after(geburtsdatum,'.'),'.')"/></td>
</tr>
</xsl:template>




</xsl:stylesheet>