<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="html"/>
<xsl:template match="/">
	<TABLE BORDER="1" CELLSPACING="0">
	<xsl:for-each select="produkte/produkt">
		<xsl:choose>
		<xsl:when test="position()mod 2=1">
		<TR>
			<TD colspan="3" bgcolor="lightblue"><b><center><font face="Arial" size="5"><xsl:value-of select="name"/></font></center></b></TD>
		</TR>
		</xsl:when>
		<xsl:when test="position()mod 2=0">
		<TR>
			<TD colspan="3" bgcolor="lightgreen"><b><center><font face="Arial" size="5"><xsl:value-of select="name"/></font></center></b></TD>
		</TR>
		</xsl:when>
		</xsl:choose>
		
		
		<TR>
			<TD colspan="2" valign="top" height="70"><i><xsl:value-of select="beschreibung"/></i></TD>
			<TD rowspan="4">
				<A>
					<IMG BORDER="0">
						<xsl:attribute name="src">
							<xsl:value-of select="produktbild"/>
						</xsl:attribute>
					</IMG>
				</A>
			</TD>
		</TR>
		<TR align="center">
			<TD>Preis</TD>
			<TD>alternative W&#228;hrung</TD>
		</TR>
		<TR align="center">
			<TD width="150"><b><xsl:value-of select="preis/preis1"/>&#32;<xsl:value-of select="preis/preis1/@waehrung"/></b></TD>
			<TD width="150"><b><xsl:value-of select="preis/preis2"/>&#32;<xsl:value-of select="preis/preis2/@waehrung"/></b></TD>
		</TR>
		<TR>
			<TD colspan="2"><b>Hersteller: </b>	
			<A>
			<xsl:attribute name="HREF">
				<xsl:value-of select="link_hersteller"/>
			</xsl:attribute>
			<xsl:value-of select="name_hersteller"/>
			</A>
			</TD>
		</TR>
		<xsl:choose>
		<xsl:when test="position()!=last()">
		<TR>
			<TD colspan="3" BGCOLOR="black">
				&#160;
			</TD>
		</TR>
		</xsl:when>
		</xsl:choose>
		
	</xsl:for-each>
	</TABLE>
</xsl:template>
</xsl:stylesheet>